
pfSense - Bug #6891

Improper shutdown causes irrecoverable filesystem corruption, unable to boot or fsck

11/03/2016 08:47 PM - → luckman212

Status: Duplicate Start date: 11/03/2016

Priority: Normal Due date:  

Assignee: Renato Botelho % Done: 0%

Category: Operating System Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version: 2.3.2

Release Notes:  Affected

Architecture:

amd64

Description

I've had this happen 4 times so far that I can remember.  That is definitely more than I would like but out of ~85 firewalls deployed it

isn't horrible.  Still, the problem is more widespread than I think people realize.  It should be pretty easy to reproduce on a

ufs-formatted full install system.  I have experienced this on 2.2.4, 2.2.6, 2.3.1 and 2.3.2.  It was always on the SG-2440 with the Intel

SSD.  Most recently this happened on 9/28 at a remote site.  I had to go and reinstall from scratch from memstick.  I tried running

fsck a few times but it did not resolve anything.

I captured some of the console output and the crashreport and am attaching those here.

Seems to be related to if not identical to #6340 so feel free to merge/delete this if it's just an unnecessary dupe.   Posting this per the

advice by jwt from this forum post:

https://forum.pfsense.org/index.php?topic=118978.msg660362#msg660362

History

#1 - 11/03/2016 08:54 PM - → luckman212

Some related forum threads...

https://forum.pfsense.org/index.php?topic=120019.0

https://forum.pfsense.org/index.php?topic=120165.0

#2 - 11/03/2016 09:19 PM - Jim Thompson

- Assignee set to Renato Botelho

#3 - 09/24/2020 07:19 AM - Renato Botelho

- Status changed from New to Duplicate

It's probably a duplicate of #6340.  Lots of improvements were made in this area on FreeBSD itself and also on pfSense.

Files

crashreport 110 KB 11/03/2016 → luckman212

goodboot 1.65 KB 11/03/2016 → luckman212

savecore 660 Bytes 11/03/2016 → luckman212
